using System;
using System.Collections.Generic;

namespace LHDN.CRM.Models.Models
{
    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;

    [Table("Ref_Sumber")]
    public class Sumber
    {
        [Key]
        public int SumberID { get; set; }

        public int ActChannelID { get; set; }
        [ForeignKey("ActChannelID")]
        private ActivityChannel ActivityChannel { get; set; }

        [Required]
        [StringLength(250)]
        public string SumberName { get; set; }

        public bool? IsActive { get; set; }

        [Required]
        [StringLength(255)]
        public string CreatedBy { get; set; }
        
        public DateTime CreatedDateTime { get; set; }

        [Required]
        [StringLength(255)]
        public string LastUpdatedBy { get; set; }
        
        public DateTime LastUpdatedDateTime { get; set; }
        
    }
}
